var scriptVersion = 1.0; 
var scriptName = "FullNight"; 
var scriptAuthor = "soulplexis";

var fullNight = new FullNight();
var fullNightClient;

function FullNight() {
    this.getName = function() {
        return "FullNight";
    };

    this.getDescription = function() {
        return "Makes the world dark.";
    };

    this.getCategory = function() {
        return "Render";
    };
    this.onEnable = function() {
    }

    this.onUpdate = function() {
    	 mc.gameSettings.gammaSetting = -30.0;
	}
    this.onDisable = function() {
		mc.gameSettings.gammaSetting = 50.0;
    }
}


function onLoad() {
};

function onEnable() {
    fullNightClient = moduleManager.registerModule(fullNight);
};

function onDisable() {
    moduleManager.unregisterModule(fullNightClient);
};